WordPress.org

Ready to get started?Download WordPress

Forums

LBAK User Tracking
[resolved] LBAK User Tracking Fatal Error (14 posts)

  1. patung
    Member
    Posted 3 years ago #

    couldn't activate this:

    Warning: curl_setopt_array() [function.curl-setopt-array]: CURLOPT_FOLLOWLOCATION cannot be activated when in safe_mode or an open_basedir is set in /var/www/vhosts/domain.com/httpdocs/wp-content/plugins/lbak-user-tracking/php_includes/main.php on line 315

    http://wordpress.org/extend/plugins/lbak-user-tracking/

  2. patung
    Member
    Posted 3 years ago #

    No, take it back, even with that error message it DID activate.

  3. Sam Rose
    Member
    Plugin Author

    Posted 3 years ago #

    Mm, it's not a fatal error. It seems like when you have safemode on in PHP it doesn't like settings the cURL option to follow redirect links... Interesting indeed.

    There isn't a huge amount I can do about this I don't think. I believe the plugin should function fine (apart from perhaps submitting questions from the FAQ page, that might not work as expected). All in all, not a high priority fix and it shouldn't inconvenience your usage of the plugin :)

    If you're feeling particularly in the mood, try submitting a question via the Help/FAQ page and tell me what happens please? :)

    Thanks,
    Sam

  4. rswing
    Member
    Posted 3 years ago #

    I am having this same issue....except for the plugin will not activate. I get the following error message

    Plugin could not be activated because it triggered a fatal error.

    Fatal error: Call to undefined function: curl_setopt_array() in /var/www/vhosts/summitviewcc.com/httpdocs/worship/wp-content/plugins/lbak-user-tracking/php_includes/main.php on line 315

  5. Sam Rose
    Member
    Plugin Author

    Posted 3 years ago #

    Ah, your error is slightly different. You either don't have cURL installed on your server or you're running an old version (I think!). Is there any way for you to confirm if you have cURL installed and what version you're on? :)

  6. rswing
    Member
    Posted 3 years ago #

    I'm sorry, I am a total noob....i'm not sure how to check cURL...however everything was working fine until i upgraded to WordPress 3.0.1. After upgrading, I was not able to edit any menu's. So now that I upgraded to 3.0.3, I was going to try to reinstall, and I am unable to activate due to the above error.

    I know that this is probably not what you are asking, but that is all the information i have at this point in time...I will work on figuring out what version of cURL I have.

  7. Sam Rose
    Member
    Plugin Author

    Posted 3 years ago #

    The problem you're having is that, for some reason, your web server cannot find some code that I'm trying to use :) It's part of a module called "cURL".

    If you can contact your hosting provider and ask them if they have the cURL module installed they should be able to tell you. If not, I can send you some code to run some tests and make this a little easier for me to visualise :)

  8. Sam Rose
    Member
    Plugin Author

    Posted 3 years ago #

    Hi again,

    I delved into this problem a little deeper and discovered the curl_setopt_array is only shipped with relatively new versions of PHP.

    I wrote some code the detects whether the function is present and if it isn't, uses an older way of doing its purpose :)

    This should fix the problem you're having.

    Tell me how it goes! v1.7.7 should be up momentarily.

    Thanks,
    Sam

  9. rswing
    Member
    Posted 3 years ago #

    Wow! Thank you so much for looking into this! I didn't even have time to check the details out yet...I tried installing 1.7.7 and it works great now! Thanks for the help!!! I REALLY appreciate it!

  10. Sam Rose
    Member
    Plugin Author

    Posted 3 years ago #

    No problem, glad I could help :)

  11. dmgphotography
    Member
    Posted 3 years ago #

    FYI, I had the following error trying to activate the plugin (v1.7.7):

    Plugin could not be activated because it triggered a fatal error.

    Fatal error: Cannot redeclare lbakut_get_base_url() (previously declared in wp-content/plugins/lbak-user-tracking/lbak_user_tracking.php:29) in wp-content/plugins/lbak-user-tracking/lbak_user_tracking.php on line 30

    Running 3.0.4 and BuddyPress 1.2.7

  12. dmgphotography
    Member
    Posted 3 years ago #

    Upgraded to V1.7.9 and it activated and is working. Thank you!

  13. shamburg
    Member
    Posted 2 years ago #

    another fatal error to report...if anyone got stats working please tell me how. This is what I get when I try to update stats.
    Fatal error: Call to undefined function fnmatch() in D:\Hosting\5125925\html\wp-content\plugins\lbak-user-tracking\php_includes\main.php on line 218

    also, none of the graphs are working.

  14. Sam Rose
    Member
    Plugin Author

    Posted 2 years ago #

    Unfortunately I wasn't able to make the plugin work on Windows (IIS) :(

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic